Étienne Mollier pushed to branch master at Debian Med / openslide


Commits:
8f14db51 by Étienne Mollier at 2026-09-06T19:37:27+02:00
d/control: provide complete libopenslide-dev dependencies.

Closes: #1146883

- - - - -
e2e066f9 by Étienne Mollier at 2026-09-06T19:38:36+02:00
d/t/run-pkgconf: new autopkgtest.

This change introduces, and enables via d/t/control, the script
run-pkgconf that ensures the list of dependencies of the package
libopenslide-dev is complete.

- - - - -
78b40a26 by Étienne Mollier at 2026-09-06T19:40:27+02:00
d/changelog: update the changelog.

- - - - -


4 changed files:

- debian/changelog
- debian/control
- debian/tests/control
- + debian/tests/run-pkgconf


Changes:

=====================================
debian/changelog
=====================================
@@ -21,8 +21,14 @@ openslide (4.0.1+dfsg-2) UNRELEASED; urgency=medium
   * d/rules: provide a clean-man target to clean things up.
     This is a useful shortcut to clear artifacts downloaded during a
     refresh of openslide-formats(3) manual.
-
- -- Étienne Mollier <[email protected]>  Sun, 06 Sep 2026 19:02:24 +0200
+  * d/control: provide complete libopenslide-dev dependencies.
+    (Closes: #1146883)
+  * d/t/run-pkgconf: new autopkgtest.
+    This change introduces, and enables via d/t/control, the script
+    run-pkgconf that ensures the list of dependencies of the package
+    libopenslide-dev is complete.
+
+ -- Étienne Mollier <[email protected]>  Sun, 06 Sep 2026 19:39:53 +0200
 
 openslide (4.0.1+dfsg-1) unstable; urgency=medium
 


=====================================
debian/control
=====================================
@@ -57,8 +57,18 @@ Package: libopenslide-dev
 Architecture: any
 Section: libdevel
 Depends: libopenslide1 (= ${binary:Version}), ${misc:Depends},
+         libcairo2-dev,
          libdicom-dev,
-         libsqlite3-dev
+         libglib2.0-dev,
+         libgio-2.0-dev,
+         libjpeg-dev,
+         libopenjp2-7-dev,
+         libpng-dev,
+         libsqlite3-dev,
+         libtiff-dev,
+         libxml2-dev,
+         libzstd-dev,
+         zlib1g-dev
 Provides: libopenslide1-dev
 Description: Development files for the OpenSlide library
  OpenSlide is a C library that provides a simple interface to read whole-slide


=====================================
debian/tests/control
=====================================
@@ -1,3 +1,6 @@
 Tests: run-unit-test
-Depends: @
+Depends: @, pkgconf
 Restrictions: allow-stderr
+
+Tests: run-pkgconf
+Depends: @, pkgconf


=====================================
debian/tests/run-pkgconf
=====================================
@@ -0,0 +1,4 @@
+#! /bin/sh
+set -e
+echo 'I: running pkgconf to make sure libopenslide-dev misses no dependencies.'
+pkg-config --libs openslide



View it on GitLab: 
https://salsa.debian.org/med-team/openslide/-/compare/ee6ae26ac369435293fb3aa3aad316a16ff8703a...78b40a26d9573de081e4e018b3925745bb72813b

-- 
View it on GitLab: 
https://salsa.debian.org/med-team/openslide/-/compare/ee6ae26ac369435293fb3aa3aad316a16ff8703a...78b40a26d9573de081e4e018b3925745bb72813b
You're receiving this email because of your account on salsa.debian.org. Manage 
all notifications: https://salsa.debian.org/-/profile/notifications | Help: 
https://salsa.debian.org/help


_______________________________________________
debian-med-commit mailing list
[email protected]
https://alioth-lists.debian.net/cgi-bin/mailman/listinfo/debian-med-commit

Reply via email to